#pragma once

enum EStatusBarPane
{
	SBarLog = 0,
	SBarUsers,
	SBarUpDown,
	SBarConnected,
	SBarChatMsg
};


//==> NextEMF New Tooltips [Rayita]
#	define SB_LOG			0
#	define SB_MSG			4
#	define SB_UP_SPEED		1
#	define SB_DN_SPEED		2
#	define SB_SERVER		3
//<== NextEMF New Tooltips [Rayita]

class CMuleStatusBarCtrl : public CStatusBarCtrl
{
	DECLARE_DYNAMIC(CMuleStatusBarCtrl)

public:
	CMuleStatusBarCtrl();
	virtual ~CMuleStatusBarCtrl();

	void Init(void);
//==> NextEMF New Tooltips [Rayita]
	HICON GetTipInfo(CString &info);

protected:
	int GetPaneAtPosition(CPoint& point) const;
//	CString GetPaneToolTipText(EStatusBarPane iPane) const;

//	virtual int OnToolHitTest(CPoint point, TOOLINFO* pTI) const;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnLButtonDblClk(UINT nFlags,CPoint point);
//<== NextEMF New Tooltips [Rayita]
};
